Name:           perl-Time-Piece
Version:        1.08
Release:        2%{?dist}
Summary:        Time objects from localtime and gmtime

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Time-Piece/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/Time-Piece-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Time::Piece module replaces the standard localtime and gmtime functions
with implementations that return objects.  It does so in a backwards
compatible manner, so that using localtime or gmtime as documented in
perlfunc still behave as expected.


%prep
%setup -q -n Time-Piece-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes README
%{perl_vendorarch}/auto/Time/
%{perl_vendorarch}/Time/
%{_mandir}/man3/*.3*


%changelog
* Wed Aug 24 2005 Chris Grau <chris@chrisgrau.com> 1.08-2
- Removed redundant perl BR.
- Added license texts.

* Tue Aug 23 2005 Chris Grau <chris@chrisgrau.com> 1.08-1
- Initial build.
